Package ghidra.app.util.viewer.field

# Class ResourceFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.CodeUnitLocation
ghidra.program.util.OperandFieldLocation
ghidra.app.util.viewer.field.ResourceFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class ResourceFieldLocation extends OperandFieldLocation
A `ProgramLocation` of an item that is a Resource embedded in a binary (ie. a embedded graphic image)

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceFieldLocation()`
  Default constructor needed for restoring from XML.
  `ResourceFieldLocation(Program program, Address address, int[] componentPath, String displayValue, int opIndex, int characterOffset, Data data)`
  Creates an ResourceFieldLocation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Data`
  `getResourceData()`
  Returns the resource's Data instance.
  `boolean`
  `isDataImageResource()`
  Returns true if this resource is a `DataImage`.

  ### Methods inherited from class ghidra.program.util.OperandFieldLocation

  `equals, getOperandIndex, getOperandRepresentation, getSubOperandIndex, getVariableOffset, hashCode, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.CodeUnitLocation

  `isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResourceFieldLocation

    public ResourceFieldLocation(Program program, Address address, int[] componentPath, String displayValue, int opIndex, int characterOffset, Data data)
    Creates an ResourceFieldLocation
    Parameters:
      `program` - the program
      `address` - the address of the location
      `componentPath` - the data component path
      `displayValue` - the text being displayed in the text.
      `opIndex` - the index of the operand at this location.
      `characterOffset` - the character position from the beginning of the operand.
      `data` - Data instance at the specified address / component path

  - ### ResourceFieldLocation

    public ResourceFieldLocation()
    Default constructor needed for restoring from XML.

- ## Method Details

  - ### getResourceData

    public Data getResourceData()
    Returns the resource's Data instance.
    Returns:
      the resource's Data instance

  - ### isDataImageResource

    public boolean isDataImageResource()
    Returns true if this resource is a `DataImage`.
    Returns:
      true if this resource is a `DataImage`